#pragma once

#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

#include <opencv2/opencv.hpp>
#include <opencv2/core/utils/logger.hpp>

using namespace std;
using namespace cv;

class Input
{
private:
    VideoCapture cap;

public:
    int videoHeight;
    int videoWidth;
    Input(int videoHeight, int videoWidth);
    Input() = delete;
    ~Input();
    Mat readFile(String filePath);
    Mat readWebcam();
    void freeWebcam();
};